For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • GETList integrations
      • POSTReserve a new integration
      • GETList integrations by category
      • GETGet integration credential status
      • POSTInstall Slack integration
      • POSTRotate Slack credentials
      • POSTInstall Telegram integration
      • GETCheck managed Telegram bot availability
      • POSTInitiate managed Telegram bot creation
      • POSTRotate managed Telegram bot token
      • DELCancel managed Telegram bot request
      • POSTConfirm managed Telegram bot rename
      • POSTReject managed Telegram bot rename
      • GETGet managed Telegram bot request status
      • GETList configured integration tools
      • GETList Vectorize configurations
      • POSTCreate Vectorize configuration
      • POSTCreate Vectorize index
      • POSTList Vectorize indexes
      • POSTTest new Vectorize configuration
      • GETGet Vectorize configuration
      • PUTUpdate Vectorize configuration
      • DELDelete Vectorize configuration
      • POSTTest saved Vectorize configuration
      • GETList Weaviate configurations
      • POSTCreate Weaviate configuration
      • POSTTest new Weaviate configuration
      • GETGet Weaviate configuration
      • PUTUpdate Weaviate configuration
      • DELDelete Weaviate configuration
      • POSTList Weaviate collections
      • POSTTest Weaviate connection
      • GETGet integration details
      • POSTSave integration credentials
      • DELDelete integration credentials
      • GETList tools for an integration
      • GETGet an integration tool
Dashboard
LogoLogo
Runtype APIIntegrations

List configured integration tools

GET
/v1/integrations/tools
GET
/v1/integrations/tools
$curl https://api.runtype.com/v1/integrations/tools \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json"
1{
2 "tools": [
3 {
4 "description": "Advanced data visualization and reporting tool for marketing insights.",
5 "integrationId": "intg-9f8b7c6d5e4a3b2c",
6 "integrationName": "MarketInsight Pro",
7 "name": "Insight Dashboard",
8 "toolId": "tool-1234abcd5678efgh",
9 "category": "Data Analytics"
10 }
11 ],
12 "total": 1
13}
List all tools available from integrations that have valid credentials configured for the caller.
Was this page helpful?
Previous

List Vectorize configurations

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Response

List of configured integration tools
toolslist of objects
totaldouble

Errors

401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error